# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/litecms/importexport/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {

        "psr-4": {
            ... ,
            "Litecms\\Importexport\\": "packages/litecms/importexport/src",
            "Litecms\\Importexport\\Seeders\\": "packages/litecms/importexport/database/seeders"
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Litecms\Importexport\Providers\ImportexportServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Importexport'  => Litecms\Importexport\Facades\Importexport::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Litecms\\Importexport\\Seeders\\ImportexportTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Importexport\Providers\ImportexportServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Importexport\Providers\ImportexportServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Importexport\Providers\ImportexportServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/importexport/{modulename}

**User**

    http://path-to-route-folder/user/importexport/{modulename}

**Public**

    http://path-to-route-folder/importexports


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/importexport/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/importexport/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/importexport/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/importexport/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/importexport/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/importexport/{modulename}/{slug}
    METHOD: GET