Lavalite package that provides importexport management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/importexport`.

    "litecms/importexport": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Importexport\Providers\ImportexportServiceProvider::class,

And also add it to alias

    'Importexport'  => Litecms\Importexport\Facades\Importexport::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\Importexport\\Seeders\\ImportexportTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Importexport\Providers\ImportexportServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Importexport\Providers\ImportexportServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Importexport\Providers\ImportexportServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/importexport/{modulename}

**User**

    http://path-to-route-folder/user/importexport/{modulename}

**Public**

    http://path-to-route-folder/importexports


### API endpoints

**List**

    http://path-to-route-folder/api/user/importexport/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/importexport/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/importexport/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/importexport/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/importexport/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/importexport/{modulename}/{slug}
    METHOD: GET